iwl4965: 802.11n not compiled in by default

Bug #203506 reported by Vasil Kolev on 2008-03-18
48
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
linux-backports-modules-2.6.24 (Ubuntu)
Medium
Unassigned
linux-ubuntu-modules-2.6.24 (Ubuntu)
Undecided
Unassigned

Bug Description

Distribution: hardy/amd64

Got a new AP last night that supports 802.11n and tried to use it with my current config - according to iwconfig, it never connected on more that 56mbps. I downloaded the sources for linux-ubuntu-modules-2.6.24 and tweaked the iwlwifi part to compile with CONFIG_IWLWIFI_HT, but this still didn't help (and I couldn't find if there was also such option for the mac80211 part).

This is from lspci and lspci -n:
0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
0c:00.0 0280: 8086:4229 (rev 61)

Jesper de Jong (jespdj) wrote :

I have two different laptops, a Dell XPS M1330 and a Lenovo T61, both with exactly the same WiFi adapter (Intel 4965 AGN; the same lspci output as shown above). I have a NetGear WNR834B WiFi router. With Windows Vista, it does connect with 802.11n speed, but with Ubuntu 7.10 (32-bit) and Ubuntu 8.04 Alpha 6 (64-bit), I only get 802.11g (54 Mbit/s).

Same problem here.. I have a Lenovo T61p with Intel PRO/Wireless 4965 AGN wireless network adapter, and I'm unable to get 802.11n-speeds in Ubuntu Hardy. It works as it should in Windows Vista.

Hi Vasil,

So the linux-backports-modules package contains and updated version of the iwlwifi drivers, version 1.2.25. It also contains the kernel config option CONFIG_IWL4965_HT which appears to be the option you want enabled. It is currently disabled. Unfortunately you've caught us at a time immediately before the Hardy Heron 8.04 final release so the kernel code base is currently frozen and only critical fixes will be pulled in at this point. We can definitely try to make sure this is enabled for the upcoming Intrepid Ibex 8.10 release. This might also possibly be considered for the 8.04.1 point release, but I'll leave that to the discretion of the kernel team. Thanks.

Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
yobser (yobser) wrote :

I did fault too. I bought AP 802.11n for my laptop with iwl4965. I tried triply before check information in launchpad.
As I understand, there is no any possibility and adjustments to on 802.11n mode. It's pity.
Let's wait update. Am I right?

Tim Gardner (timg-tpi) wrote :

802.11n has not yet been implemented in the wireless stack.

Changed in linux-backports-modules-2.6.24:
status: Triaged → Won't Fix

Can anyone let me know if 802.11n has been implemented yet, I have this Intel card on Hardy and would like actual n speeds.

Tim Gardner (timg-tpi) wrote :

Try my PPA at http://ppa.launchpad.net/timg-tpi/ubuntu, be sure to install the linux-backports-modules package which contains the current upstream wireless tree.

Vasil Kolev (vasil-ludost) wrote :

Hi Tim,

I've just installed it, and I don't see 802.11n being enabled, iwconfig says
wlan0 IEEE 802.11 ESSID:"krokodil"
          Mode:Managed Frequency:2.437 GHz Access Point: 00:1D:7E:43:36:31
          Bit Rate=54 Mb/s Tx-Power=15 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Encryption key:**************************
          Link Quality=100/100 Signal level:-43 dBm Noise level=-93 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

Should I do something more?

Vasil Kolev (vasil-ludost) wrote :

Also, seems like the version in your PPA adds some weird packetloss, which makes work pretty hard... The only strange thing I've noticed in the logs is this:
[ 74.502620] iwl4965: iwl_tx_agg_start on ra = 00:1d:7e:43:36:31 tid = 0
[ 74.502695] HW queue is empty
[ 74.502702] requeue: qlen = 0
[ 74.502717] activated addBA response timer on tid 0
[ 74.504464] Aggregation on for tid 0
[ 74.504475] recipient accepted agg: tid 0

BUGabundo wrote:
> Tim is this ok?
>
> Failed to fetch http://ppa.launchpad.net/timg-tpi/ubuntu/dists/intrepid/main/binary-amd64/Packages.gz 404 Not Found
> Failed to fetch http://ppa.launchpad.net/timg-tpi/ubuntu/dists/intrepid/restricted/binary-amd64/Packages.gz 404 Not Found
> Failed to fetch http://ppa.launchpad.net/timg-tpi/ubuntu/dists/intrepid/universe/binary-amd64/Packages.gz 404 Not Found
> Failed to fetch http://ppa.launchpad.net/timg-tpi/ubuntu/dists/intrepid/multiverse/binary-amd64/Packages.gz 404 Not Found
> Some index files failed to download, they have been ignored, or old ones used instead.
>

Launchpad was down for maintenance. Perhaps you could try again.
--
Tim Gardner <email address hidden>

Olá Tim e a todos.

On Tuesday 01 July 2008 14:08:25 Tim Gardner wrote:
> > Failed to fetch http://ppa.launchpad.net/timg-tpi/ubuntu/dists/intrepid/main/binary-amd64/Packages.gz 404 Not Found
>
> Launchpad was down for maintenance. Perhaps you could try again.

Those were Intrepid... Changing to Hardy did the trick. Unless you have Intrepid PPA too!?

--
BUGabundo :o)
(``-_-´´) http://Ubuntu.BUGabundo.net
Linux user #443786 GPG key 1024D/A1784EBB
My new micro-blog @ http://BUGabundo.net
ps. My emails tend to sound authority and aggressive. I'm sorry in advance. I'll try to be more assertive as time goes by...

seagull (john-millington) wrote :

I have the same problem ...

 BUGabundo, when you say the ppa binaries did the trick, are you saying you now have wireless N working? Did you have to do any post-install tweaks?

Thanks in advance
John

seagull I was referring to Tims PPA for the kernel.
I do not have my onboard card working in any way.

Daniel Bermudez G. (nergar) wrote :

Will this be fixed for Intrepid??
And why is the status: Won't-Fix?

I can't believe we are so far behind and it seems no work is being put on this.

Will it be fixed for 8.04.2?!

loxan (5-launchpad-loxley-se) wrote :

802.11n doesnt work on Sony Vaio AR71S either.

( Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61) )

Is this supposed to be fixed in intrepid? Because It seems that I have the same issue with intrepid now as I use to with hardy.

Daniel Bermudez G. (nergar) wrote :

All I know is that you should be using driver iwlagn instead of iwl4965 and that I'm having a lot of problems connecting to my access point since I upgraded to Intrepid.

Also when I finally connect, the transfer rate never gets higher than 2 MB/s :(

Just curious if those of you running Intrepid have tried installing the linux-backports-modules-intrepid package to see if that helps? Also, we'll keep this open against the actively developed "linux" kernel package but until we can pinpoint an exact fix this will won't qualify for a Stable Release Update for Hardy - http://wiki.ubuntu.com/StableReleaseUpdates .

Changed in linux-ubuntu-modules-2.6.24:
status: New → Won't Fix

Hi there. I've noticed that even though NetworkManager and the information one gets from iwlist says that the current speed is 54mbits, my wireless router says I'm connected with 802.11n and that the current speed is 130mbits.

I haven't been able to test if I'm actually getting 802.11n-speeds (since I currently have no wired devices on my network), but my guess is that I'm actually connected with 802.11n and the only problem is that the reported speed from NetworkManager/iwlist is wrong.

I have intrepid, and nothing about my current setup makes me believe that I am achieving n speeds. I have a wireless n router and a intel 4965 wireless card. I am using the iwlagn driver and I have linux-backports-modules-intrepid installed. Network manager still reports g speeds and iwlist scan only reports up to g speeds as well. If you would like some testing just let me know what you are looking for.

Changed in linux:
importance: Undecided → Medium
status: New → Triaged

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

tags: added: iso-testing
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete

Hi Jeremy,

It's not completely clear whether or not it is fixed. Mainly because when I connect to an 802.11n network the speed displayed by "Connection Information" in the network-manager applet says Unknown. And the transfer speeds to the desktop on my network are definitely faster than when I set it on 802.11g. So that makes me think that it does work, but it just doesn't have any "For Sure" signs that it does work. But there also are not any clear signs that it does not work.

This is using 9.10 Karmic 2.6.31-20-generic.

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Malin Bruland (malinkb) on 2012-01-23
Changed in linux (Ubuntu):
status: Expired → New

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 203506

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: onco 30734 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xff8f8000 irq 46'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,1179050a,00100003 HDA:11c11040,11790001,00100200'
   Controls : 15
   Simple ctrls : 10
DistroRelease: Ubuntu 11.10
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=cd2534b2-c1e7-4a2a-9d0a-54401cc53677
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: TOSHIBA PORTEGE M700
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-16-generic root=UUID=3ca3670e-5bd6-4fb3-b33b-8f94dbe8c8cf ro splash quiet crashkernel=384M-2G:64M,2G-:128M quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-16.29-generic 3.0.20
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-16-generic N/A
 linux-backports-modules-3.0.0-16-generic N/A
 linux-firmware 1.60.1
StagingDrivers: mei
Tags: oneiric staging
Uname: Linux 3.0.0-16-generic x86_64
UpgradeStatus: Upgraded to oneiric on 2011-10-17 (128 days ago)
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse kismet lp lpadmin netdev plugdev powerdev pulse pulse-access sambashare tape vboxusers video wireshark
dmi.bios.date: 05/22/2009
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 1.80
dmi.board.asset.tag: 0000000000
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 0000000000
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: Version 1.0
dmi.modalias: dmi:bvnTOSHIBA:bvrVersion1.80:bd05/22/2009:svnTOSHIBA:pnPORTEGEM700:pvrPPM70E-0CP01QCZ:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
dmi.product.name: PORTEGE M700
dmi.product.version: PPM70E-0CP01QCZ
dmi.sys.vendor: TOSHIBA

tags: added: apport-collected oneiric staging

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers